import * as wjcCore from "@grapecity/wijmo";
export function getData() {
  let data = [];
  let _countries = "US,Germany,UK,Japan,Italy,Greece".split(",");
  let _products = [
    { id: 0, name: "Widget", unitPrice: 23.43 },
    { id: 1, name: "Gadget", unitPrice: 12.33 },
    { id: 2, name: "Doohickey", unitPrice: 53.07 }
  ];
  let dt = new Date();
  for (let i = 0; i < 5; i++) {
    data.push({
      id: i,
      date: new Date(dt.getFullYear(), i % 12, 25, i % 24, i % 60, i % 60),
      time: new Date(dt.getFullYear(), i % 12, 25, i % 24, i % 60, i % 60),
      country: _countries[Math.floor(Math.random() * _countries.length)],
      product: _products[Math.floor(Math.random() * _products.length)].name,
      amount: Math.random() * 10000,
      discount: Math.random(),
      sales: Math.random() * 2000,
      tags: ["a", "b"]
    });
  }
  return data;
}

export function getLayoutDef() {
  return [
    { cells: [{ binding: "id", header: "ID", width: 200 }] },
    {
      cells: [
        {
          binding: "date",
          header: "Date",
          format: "d",
          width: 200,
          aggregate: wjcCore.Aggregate.Max
        },
        { binding: "time", header: "Time", format: "t" }
      ]
    },
    {
      cells: [
        {
          binding: "country",
          header: "Country",
          width: 200,
          multiLine: true,
          wordWrap: true
        },
        {
          binding: "product",
          header: "Product",
          width: 200,
          multiLine: true,
          wordWrap: true
        }
      ]
    },
    {
      cells: [
        {
          binding: "amount",
          header: "Amount",
          width: 200,
          aggregate: wjcCore.Aggregate.Std
        },
        {
          binding: "discount",
          header: "Discount",
          width: 200,
          format: "p2",
          aggregate: wjcCore.Aggregate.Avg
        }
      ]
    }
  ];
}
